import Item from '.';
import BlockContent from './ItemBlockContent';
import Content from './ItemContent';
import Excerpt from './ItemExcerpt';
import FeaturedImage from './ItemFeaturedImage';
import FeaturedVideo from './ItemFeaturedVideo';
import Field from './ItemField';
import Rating from './ItemRating';
import Title from './ItemTitle';
import Link from './ItemLink';

jest.mock('../../../public/lib/jwplayer/jwplayer', () => null);

describe('Item bundle', () => {
  it('exposes ItemBlockContent as Item.BlockContent', () => {
    expect(Item.BlockContent).toBe(BlockContent);
  });

  it('exposes ItemContent as Item.Content', () => {
    expect(Item.Content).toBe(Content);
  });

  it('exposes ItemExcerpt as Item.Excerpt', () => {
    expect(Item.Excerpt).toBe(Excerpt);
  });

  it('exposes ItemFeaturedImage as Item.FeaturedImage', () => {
    expect(Item.FeaturedImage).toBe(FeaturedImage);
  });

  it('exposes ItemFeaturedVideo as Item.FeaturedVideo', () => {
    expect(Item.FeaturedVideo).toBe(FeaturedVideo);
  });

  it('exposes ItemField as Item.Field', () => {
    expect(Item.Field).toBe(Field);
  });

  it('exposes ItemLink as Item.Link', () => {
    expect(Item.Link).toBe(Link);
  });

  it('exposes ItemRating as Item.Rating', () => {
    expect(Item.Rating).toBe(Rating);
  });

  it('exposes ItemTitle as Item.Title', () => {
    expect(Item.Title).toBe(Title);
  });
});
